import * as i0 from '@angular/core';
import { Injectable, Inject, Component, EventEmitter, Input, Output, HostListener } from '@angular/core';
import { OKTA_AUTH, OktaAuthModule } from '@okta/okta-angular';
import * as OktaAuth from '@okta/okta-auth-js';
import OktaAuth__default from '@okta/okta-auth-js';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';

class AngularLibService {
    constructor() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AngularLibService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AngularLibService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AngularLibService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class OktaTokenService {
    constructor(oktaAuth) {
        this.oktaAuth = oktaAuth;
        this.employeeNumber = -1;
        this.accessToken = '';
        this.userName = '';
    }
    setAccessToken(accessToken) {
        this.accessToken = accessToken;
    }
    getAccessToken() {
        return this.oktaAuth.getAccessToken();
    }
    setEmployeeNumber(employeeNumber) {
        this.employeeNumber = employeeNumber;
    }
    getEmployeeNumber() {
        return this.employeeNumber;
    }
    hasTokenExpired() {
        this.tokenExpiredInterval = setInterval(() => {
            var accessToken = this.oktaAuth.getAccessToken();
            if (accessToken !== null || accessToken !== "" || accessToken !== undefined) {
                const currentDateTime = this.getCurrentDateTime();
                const expiryTime = this.convertUnixTimestampToDateTime(this.getExpiryTime(accessToken));
                if (expiryTime < currentDateTime) {
                    this.oktaAuth.signOut();
                    clearInterval(this.tokenExpiredInterval);
                }
            }
            else {
                this.oktaAuth.signOut();
                clearInterval(this.tokenExpiredInterval);
            }
        }, 2000);
    }
    getCurrentDateTime() {
        const now = new Date();
        const year = now.getFullYear();
        const month = String(now.getMonth() + 1).padStart(2, '0'); // Month is 0-based, so we add 1
        const day = String(now.getDate()).padStart(2, '0');
        const hours = String(now.getHours()).padStart(2, '0');
        const minutes = String(now.getMinutes()).padStart(2, '0');
        const seconds = String(now.getSeconds()).padStart(2, '0');
        return `${year}-${month}-${day} ${hours}:${minutes}:${seconds}`;
    }
    convertUnixTimestampToDateTime(unixTimestamp) {
        const date = new Date(unixTimestamp * 1000); // Convert Unix timestamp to milliseconds
        const year = date.getFullYear();
        const month = (date.getMonth() + 1).toString().padStart(2, '0');
        const day = date.getDate().toString().padStart(2, '0');
        const hours = date.getHours().toString().padStart(2, '0');
        const minutes = date.getMinutes().toString().padStart(2, '0');
        const seconds = date.getSeconds().toString().padStart(2, '0');
        return `${year}-${month}-${day} ${hours}:${minutes}:${seconds}`;
    }
    getExpiryTime(accessToken) {
        var base64Url = accessToken.split('.')[1];
        var base64 = base64Url.replace(/-/g, '+').replace(/_/g, '/');
        var jsonPayload = decodeURIComponent(window.atob(base64).split('').map(function (c) {
            return '%' + ('00' + c.charCodeAt(0).toString(16)).slice(-2);
        }).join(''));
        let parsedPayload;
        try {
            parsedPayload = JSON.parse(jsonPayload);
            return parsedPayload["exp"];
        }
        catch (error) {
            console.error("Error parsing JSON payload:", error);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OktaTokenService, deps: [{ token: OKTA_AUTH }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OktaTokenService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: OktaTokenService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: OktaAuth__default, decorators: [{
                    type: Inject,
                    args: [OKTA_AUTH]
                }] }] });

class AngularLibComponent {
    constructor(oktaService, oktaAuth) {
        this.oktaService = oktaService;
        this.oktaAuth = oktaAuth;
        this.userName = '';
        this.oktaService.setAccessToken(this.oktaAuth.getAccessToken());
        this.oktaService.hasTokenExpired();
        this.getUserDetails(oktaService);
    }
    ngOnInit() {
    }
    async getUserDetails(oktaService) {
        try {
            const user = await this.oktaAuth.getUser();
            oktaService.userName = user.name;
            this.userName = user.name;
            oktaService.setEmployeeNumber(Number(user['employeeNumber']));
        }
        catch (error) {
            console.log(error);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AngularLibComponent, deps: [{ token: OktaTokenService }, { token: OKTA_AUTH }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: AngularLibComponent, isStandalone: true, selector: "lib-angular-lib", ngImport: i0, template: `
    <p>
      angular-lib works!
    </p>
  `, isInline: true, styles: [""], dependencies: [{ kind: "ngmodule", type: OktaAuthModule }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AngularLibComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-angular-lib', standalone: true, imports: [
                        OktaAuthModule
                    ], template: `
    <p>
      angular-lib works!
    </p>
  ` }]
        }], ctorParameters: () => [{ type: OktaTokenService }, { type: OktaAuth__default, decorators: [{
                    type: Inject,
                    args: [OKTA_AUTH]
                }] }] });

class HeaderComponent {
    closeDropdownDownMenu() {
        this.showProfileMenu = false;
    }
    constructor(oktaAuth) {
        this.oktaAuth = oktaAuth;
        this.appName = 'Application Name';
        this.fedexlogo = '../../assets/images/fedexlogo.svg';
        this.profileImageUrl = '../../assets/images/profile_icon_white.svg';
        this.onSignOutBtnClick = new EventEmitter();
        this.isSideBarOpen = false;
        // isHelpOpen: boolean = false;
        this.showProfileMenu = false;
        this.pageTitle = 'Home';
    }
    ngOnInit() {
        // this.router.events.pipe(filter(event => event instanceof NavigationEnd)).subscribe(event => {
        //   if(this.route.snapshot.firstChild) {
        //     this.pageTitle = this.route.snapshot.firstChild.data['title'];
        //   }
        // });
    }
    // openHelp() {
    //   this.isHelpOpen = !this.isHelpOpen;
    // }
    // closeHelp() {
    //   this.isHelpOpen = !this.isHelpOpen;
    // }
    openProfileMenu(event) {
        event.stopPropagation();
        this.showProfileMenu = !this.showProfileMenu;
    }
    // signOut() {
    //   this.onSignOutBtnClick.emit();
    // }
    signOut() {
        this.oktaAuth.signOut();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HeaderComponent, deps: [{ token: OKTA_AUTH }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: HeaderComponent, isStandalone: true, selector: "lib-header", inputs: { appName: "appName", fedexlogo: "fedexlogo", profileImageUrl: "profileImageUrl" }, outputs: { onSignOutBtnClick: "onSignOutBtnClick" }, host: { listeners: { "document:click": "closeDropdownDownMenu()" } }, ngImport: i0, template: "  <div class=\"row header\">\r\n    <div class=\"col-sm-1 col-md-1\">\r\n      <img class=\"logoImg\" src=\"{{fedexlogo}}\">\r\n    </div>\r\n\r\n    <div class=\"col-sm-2 headerText\"> \r\n        {{appName}}\r\n    </div>\r\n\r\n    <div class=\"col-sm-10 col-md-11 col-lg-11 d-flex justify-content-end align-items-center\">\r\n      <!-- <div class=\"marginRight\">\r\n        <i class=\"bi bi-arrow-clockwise refreshIcon\" (click)=\"refresh()\" ></i>\r\n      </div> -->\r\n      <!-- <div class=\"marginRight\">\r\n        <img class=\"headerIcon\" src=\"./assets/images/help_icon.svg\" alt=\"Help\" (click)=\"openHelp()\"/>\r\n      </div> -->\r\n      <div>\r\n        <img (click)=\"openProfileMenu($event)\" class=\"headerIcon\" src=\"{{profileImageUrl}}\" alt=\"Profile\"/>\r\n        <div class=\"dropdown-list\" *ngIf=\"showProfileMenu\">\r\n          <ul>\r\n            <li>\r\n              <a (click)=\"signOut()\">Logout</a>\r\n            </li>\r\n          </ul>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n    <!-- <div *NgIf=\"isHelpOpen\" class=\"overlay\">\r\n      <div class=\"close\"><i  class=\"bx bx-x bx-md closebtn float-right\" (click)=\"closeHelp()\"></i></div>\r\n        <div class=\"navigate\">\r\n        </div>\r\n    </div> -->\r\n  </div>", styles: [".header{background-color:#4d148c;display:flex;height:40px}.headerIcon{height:23px;cursor:pointer;color:#fff}.headerText{position:relative;color:#fff;align-items:center;display:flex;left:21px;font-size:16px;top:-3px}.overlay{height:100%;width:0;position:fixed;z-index:1000;top:40px;right:0;background-color:#f5f5f5;opacity:.9;transition:all .5s ease;width:20%;display:grid;grid-area:overlay;grid-template-areas:\"close\" \"navigate\";grid-template-rows:5% 95%;box-shadow:0 4px 8px 1px #0000004d}.overlay div a:hover,.overlay div a:focus{color:#f1f1f1}.dropdown-list{background-color:#f5f5f5;position:absolute;right:14px;top:39px;border-radius:10px;box-shadow:0 4px 8px 1px #0000004d;z-index:1001}.dropdown-list ul{padding:0;margin:0;list-style-type:none}.dropdown-list ul li a{padding:10px 25px;display:block}.marginRight{margin-right:10px}.refreshIcon{color:#fff;font-size:26px;cursor:pointer}@media only screen and (max-width:767px){.header{height:30px}.overlay{top:30px}.headerText{position:relative;color:#fff;align-items:center;display:flex;left:-7px;font-size:12px;top:-2px}}@media only screen and ((min-width: 768px) and (max-width: 1499px)){.logoImg{width:75px}.headerText{position:absolute;left:81px;font-size:16px;top:7px}.margin{margin-left:11px;margin-right:-319px}}@media only screen and ((min-width: 1500px) and (max-width: 2200px)){.logoImg{width:75px}.headerText{position:absolute;left:81px;font-size:17px;top:7px}}@media only screen and ((min-width: 2201px) and (max-width: 4000px)){.logoImg{width:100px}.header{height:57px}.headerText{position:absolute;left:107px;font-size:23px;top:12px}.headerIcon{top:13px;height:28px;cursor:pointer}.refreshIcon{font-size:32px}.overlay{top:57px}}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-header', standalone: true, imports: [AngularLibComponent, HeaderComponent, CommonModule], template: "  <div class=\"row header\">\r\n    <div class=\"col-sm-1 col-md-1\">\r\n      <img class=\"logoImg\" src=\"{{fedexlogo}}\">\r\n    </div>\r\n\r\n    <div class=\"col-sm-2 headerText\"> \r\n        {{appName}}\r\n    </div>\r\n\r\n    <div class=\"col-sm-10 col-md-11 col-lg-11 d-flex justify-content-end align-items-center\">\r\n      <!-- <div class=\"marginRight\">\r\n        <i class=\"bi bi-arrow-clockwise refreshIcon\" (click)=\"refresh()\" ></i>\r\n      </div> -->\r\n      <!-- <div class=\"marginRight\">\r\n        <img class=\"headerIcon\" src=\"./assets/images/help_icon.svg\" alt=\"Help\" (click)=\"openHelp()\"/>\r\n      </div> -->\r\n      <div>\r\n        <img (click)=\"openProfileMenu($event)\" class=\"headerIcon\" src=\"{{profileImageUrl}}\" alt=\"Profile\"/>\r\n        <div class=\"dropdown-list\" *ngIf=\"showProfileMenu\">\r\n          <ul>\r\n            <li>\r\n              <a (click)=\"signOut()\">Logout</a>\r\n            </li>\r\n          </ul>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n    <!-- <div *NgIf=\"isHelpOpen\" class=\"overlay\">\r\n      <div class=\"close\"><i  class=\"bx bx-x bx-md closebtn float-right\" (click)=\"closeHelp()\"></i></div>\r\n        <div class=\"navigate\">\r\n        </div>\r\n    </div> -->\r\n  </div>", styles: [".header{background-color:#4d148c;display:flex;height:40px}.headerIcon{height:23px;cursor:pointer;color:#fff}.headerText{position:relative;color:#fff;align-items:center;display:flex;left:21px;font-size:16px;top:-3px}.overlay{height:100%;width:0;position:fixed;z-index:1000;top:40px;right:0;background-color:#f5f5f5;opacity:.9;transition:all .5s ease;width:20%;display:grid;grid-area:overlay;grid-template-areas:\"close\" \"navigate\";grid-template-rows:5% 95%;box-shadow:0 4px 8px 1px #0000004d}.overlay div a:hover,.overlay div a:focus{color:#f1f1f1}.dropdown-list{background-color:#f5f5f5;position:absolute;right:14px;top:39px;border-radius:10px;box-shadow:0 4px 8px 1px #0000004d;z-index:1001}.dropdown-list ul{padding:0;margin:0;list-style-type:none}.dropdown-list ul li a{padding:10px 25px;display:block}.marginRight{margin-right:10px}.refreshIcon{color:#fff;font-size:26px;cursor:pointer}@media only screen and (max-width:767px){.header{height:30px}.overlay{top:30px}.headerText{position:relative;color:#fff;align-items:center;display:flex;left:-7px;font-size:12px;top:-2px}}@media only screen and ((min-width: 768px) and (max-width: 1499px)){.logoImg{width:75px}.headerText{position:absolute;left:81px;font-size:16px;top:7px}.margin{margin-left:11px;margin-right:-319px}}@media only screen and ((min-width: 1500px) and (max-width: 2200px)){.logoImg{width:75px}.headerText{position:absolute;left:81px;font-size:17px;top:7px}}@media only screen and ((min-width: 2201px) and (max-width: 4000px)){.logoImg{width:100px}.header{height:57px}.headerText{position:absolute;left:107px;font-size:23px;top:12px}.headerIcon{top:13px;height:28px;cursor:pointer}.refreshIcon{font-size:32px}.overlay{top:57px}}\n"] }]
        }], ctorParameters: () => [{ type: OktaAuth__default, decorators: [{
                    type: Inject,
                    args: [OKTA_AUTH]
                }] }], propDecorators: { appName: [{
                type: Input
            }], fedexlogo: [{
                type: Input
            }], profileImageUrl: [{
                type: Input
            }], onSignOutBtnClick: [{
                type: Output
            }], closeDropdownDownMenu: [{
                type: HostListener,
                args: ['document:click']
            }] } });

class SidebarComponent {
    constructor() {
        this.display = "none";
        this.isSideBarOpen = false;
        this.sidebarOpenEvent = new EventEmitter();
    }
    closeMenu() {
        if (this.isSideBarOpen) {
            this.isSideBarOpen = !this.isSideBarOpen;
            // this.sharedDataService.isSideBarOpen = this.isSideBarOpen;
            // this.isSideBarOpenChange.emit(this.isSideBarOpen);
        }
    }
    toggleMenu() {
        this.isSideBarOpen = !this.isSideBarOpen;
        this.sidebarOpenEvent.emit(this.isSideBarOpen);
        // this.sharedDataService.isSideBarOpen = this.isSideBarOpen;
        // this.isSideBarOpenChange.emit(this.isSideBarOpen);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SidebarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: SidebarComponent, isStandalone: true, selector: "lib-sidebar", outputs: { sidebarOpenEvent: "sidebarOpenEvent" }, ngImport: i0, template: "<div class=\"sidebar\" clickOutside (clickOutside)=\"closeMenu()\" [ngClass]=\"{'open': isSideBarOpen}\"> \r\n    \r\n    <div class=\"logo-details\">\r\n        <img src=\"../../assets/images/list.svg\" width=\"25px\" id=\"btn\" (click)=\"toggleMenu()\">\r\n        <!-- <i class='bx bx-menu' id=\"btn\" (click)=\"toggleMenu()\"></i> -->\r\n    </div>\r\n\r\n    <ng-content></ng-content>\r\n\r\n<!------------------------------------- sidebar list ------------------------------------>\r\n    <!-- <div class=\"nav-list\">\r\n        <ul>\r\n            <li>\r\n                <a class=\"nav-link\">\r\n                <i class='bx bx-home'></i>\r\n                <span class=\"links_name black\">Home Page</span>\r\n                </a>\r\n                <span class=\"hoverLinkList black\">Home Page</span>\r\n            </li>\r\n            <li>\r\n                <a class=\"nav-link\">\r\n                    <i class='bx bx-search-alt-2'></i>\r\n                    <span class=\"links_name black\">Page 1</span>\r\n                </a>\r\n                <span class=\"hoverLinkList black\">Page 1</span>\r\n            </li>\r\n            <li>\r\n                <a class=\"nav-link\">\r\n                    <i class='bx bx-square'></i>\r\n                    <span class=\"links_name black\">Page 2</span>\r\n                </a>\r\n                <span class=\"hoverLinkList black\">Page 2</span>\r\n            </li>\r\n        </ul>\r\n    </div>  -->\r\n</div>", styles: [".sidebar{position:fixed;display:inline-block;left:0;height:100%;width:40px;background:#f5f5f5;z-index:99;transition:all .5s ease;box-shadow:1px 0 2px 1px #0000004d;cursor:pointer}.hoverLinkList{display:none;position:absolute;left:35px;background-color:#fff;box-shadow:0 5px 10px #0000004d;z-index:1;border-radius:5px;padding:5px;top:2px;font-size:12px;width:95px;cursor:pointer}.links_name{display:none}.nav-list ul{padding:0;margin:0}.nav-list ul li{padding:5px 0;position:relative}.nav-list ul li a.nav-link{display:flex;flex-flow:nowrap;overflow:hidden;text-decoration:none;box-sizing:border-box;padding:6px;border:0 solid transparent;border-left-width:4px}.nav-list ul li a i{font-size:22px}.nav-list ul li:hover .hoverLinkList{display:block}.logo-details{font-size:22px;color:#000}.sidebar.open{width:150px}.sidebar.open .nav-list ul li:hover .hoverLinkList{display:none}.sidebar.open .nav-list ul li a .links_name{display:inline-block;pointer-events:auto;padding-left:10px;font-family:FedEx Sans,sans-serif;vertical-align:top;white-space:nowrap;font-size:14px;color:#000}.sidebar .logo-details{position:relative;padding-left:10px}.sidebar .logo-details #btn{cursor:pointer;margin-top:15px}.selectedTab a i.bx{display:flex;align-items:left}.bx{color:#000}.selectedTabLessPadding{padding-left:calc(1vh - 3px)!important}.nav-list ul li a.isActive{border:0 solid #4d148c;border-left-width:4px;background-color:#e3e3e3;color:#4d148c}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: SidebarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-sidebar', standalone: true, imports: [CommonModule], template: "<div class=\"sidebar\" clickOutside (clickOutside)=\"closeMenu()\" [ngClass]=\"{'open': isSideBarOpen}\"> \r\n    \r\n    <div class=\"logo-details\">\r\n        <img src=\"../../assets/images/list.svg\" width=\"25px\" id=\"btn\" (click)=\"toggleMenu()\">\r\n        <!-- <i class='bx bx-menu' id=\"btn\" (click)=\"toggleMenu()\"></i> -->\r\n    </div>\r\n\r\n    <ng-content></ng-content>\r\n\r\n<!------------------------------------- sidebar list ------------------------------------>\r\n    <!-- <div class=\"nav-list\">\r\n        <ul>\r\n            <li>\r\n                <a class=\"nav-link\">\r\n                <i class='bx bx-home'></i>\r\n                <span class=\"links_name black\">Home Page</span>\r\n                </a>\r\n                <span class=\"hoverLinkList black\">Home Page</span>\r\n            </li>\r\n            <li>\r\n                <a class=\"nav-link\">\r\n                    <i class='bx bx-search-alt-2'></i>\r\n                    <span class=\"links_name black\">Page 1</span>\r\n                </a>\r\n                <span class=\"hoverLinkList black\">Page 1</span>\r\n            </li>\r\n            <li>\r\n                <a class=\"nav-link\">\r\n                    <i class='bx bx-square'></i>\r\n                    <span class=\"links_name black\">Page 2</span>\r\n                </a>\r\n                <span class=\"hoverLinkList black\">Page 2</span>\r\n            </li>\r\n        </ul>\r\n    </div>  -->\r\n</div>", styles: [".sidebar{position:fixed;display:inline-block;left:0;height:100%;width:40px;background:#f5f5f5;z-index:99;transition:all .5s ease;box-shadow:1px 0 2px 1px #0000004d;cursor:pointer}.hoverLinkList{display:none;position:absolute;left:35px;background-color:#fff;box-shadow:0 5px 10px #0000004d;z-index:1;border-radius:5px;padding:5px;top:2px;font-size:12px;width:95px;cursor:pointer}.links_name{display:none}.nav-list ul{padding:0;margin:0}.nav-list ul li{padding:5px 0;position:relative}.nav-list ul li a.nav-link{display:flex;flex-flow:nowrap;overflow:hidden;text-decoration:none;box-sizing:border-box;padding:6px;border:0 solid transparent;border-left-width:4px}.nav-list ul li a i{font-size:22px}.nav-list ul li:hover .hoverLinkList{display:block}.logo-details{font-size:22px;color:#000}.sidebar.open{width:150px}.sidebar.open .nav-list ul li:hover .hoverLinkList{display:none}.sidebar.open .nav-list ul li a .links_name{display:inline-block;pointer-events:auto;padding-left:10px;font-family:FedEx Sans,sans-serif;vertical-align:top;white-space:nowrap;font-size:14px;color:#000}.sidebar .logo-details{position:relative;padding-left:10px}.sidebar .logo-details #btn{cursor:pointer;margin-top:15px}.selectedTab a i.bx{display:flex;align-items:left}.bx{color:#000}.selectedTabLessPadding{padding-left:calc(1vh - 3px)!important}.nav-list ul li a.isActive{border:0 solid #4d148c;border-left-width:4px;background-color:#e3e3e3;color:#4d148c}\n"] }]
        }], ctorParameters: () => [], propDecorators: { sidebarOpenEvent: [{
                type: Output
            }] } });

class FooterComponent {
    constructor() {
        this.year = '2025';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: FooterComponent, isStandalone: true, selector: "lib-footer", ngImport: i0, template: "<footer class=\"footer mt-auto py-3\">\r\n    <div class=\"text-center\">\r\n      <span class=\"text-light\">&copy; FedEx 1995 - {{ year }}</span>\r\n    </div>\r\n</footer>", styles: [".footer{background-color:#4d148c;height:45px;font-size:16px;font-family:FedEx Sans,sans-serif;display:flex;justify-content:center;align-items:center;color:#fff;width:100%}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-footer', standalone: true, imports: [], template: "<footer class=\"footer mt-auto py-3\">\r\n    <div class=\"text-center\">\r\n      <span class=\"text-light\">&copy; FedEx 1995 - {{ year }}</span>\r\n    </div>\r\n</footer>", styles: [".footer{background-color:#4d148c;height:45px;font-size:16px;font-family:FedEx Sans,sans-serif;display:flex;justify-content:center;align-items:center;color:#fff;width:100%}\n"] }]
        }] });

class AuthService {
    constructor(oktaAuth) {
        this.oktaAuth = oktaAuth;
    }
    async isUserLoggedIn() {
        const authState = await this.oktaAuth.authStateManager.getAuthState();
        const myCookieValue = decodeURIComponent(this.getCookie('okta-token-storage_accessToken'));
        const cookieObject = JSON.parse(myCookieValue);
        // console.log(cookieObject.claims.groups);
        if (authState) {
            if (authState.accessToken != null) {
                this.emp_id = authState.accessToken.claims['employeeNumber'];
            }
            return !!this.emp_id;
        }
        else if (cookieObject.accessToken) {
            return true;
        }
        else {
            return false;
        }
    }
    getCookie(name) {
        var val = "";
        const cookies = document.cookie.split(';');
        for (const cookie of cookies) {
            const [key, value] = cookie.trim().split('=');
            if (key === name) {
                return value;
            }
        }
        return val;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthService, deps: [{ token: OKTA_AUTH }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: AuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: OktaAuth.OktaAuth, decorators: [{
                    type: Inject,
                    args: [OKTA_AUTH]
                }] }] });

class IdentityAuthGuard {
    constructor(authService) {
        this.authService = authService;
    }
    async canActivate() {
        console.log('hitting the guard');
        const isLoggedIn = await this.authService.isUserLoggedIn();
        if (isLoggedIn) {
            console.log('user approved');
            return true;
        }
        else {
            console.log('user not approved');
            return false;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IdentityAuthGuard, deps: [{ token: AuthService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IdentityAuthGuard, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: IdentityAuthGuard, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [{ type: AuthService }] });

/*
 * Public API Surface of angular-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AngularLibComponent, AngularLibService, AuthService, FooterComponent, HeaderComponent, IdentityAuthGuard, OktaTokenService, SidebarComponent };
//# sourceMappingURL=dataworks-angular-library.mjs.map
